使用新的公差值将样条重新拟合到现有点。 支持的平台:仅窗口 属性值只读:不 类型:双 拟合容差不能为负数。 言论如果拟合公差设置为零,则样条将穿过所有拟合点。提供大于零的值允许曲线在指定的公差范围内通过拟合点。 例子工 务 局: Sub Example_FitTolerance() ' This example creates a spline object in model space. ' It then changes the FitTolerance property of that spline. ' Create the spline Dim splineObj As AcadSpline Dim startTan(0 To 2) As Double Dim endTan(0 To 2) As Double Dim fitPoints(0 To 8) As Double startTan(0) = 0.5: startTan(1) = 0.5: startTan(2) = 0 endTan(0) = 0.5: endTan(1) = 0.5: endTan(2) = 0 fitPoints(0) = 1: fitPoints(1) = 1: fitPoints(2) = 0 fitPoints(3) = 5: fitPoints(4) = 5: fitPoints(5) = 0 fitPoints(6) = 10: fitPoints(7) = 0: fitPoints(8) = 0 Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan) ZoomAll ' Find the current FitTolerance value Dim currFitTolerance As Double currFitTolerance = splineObj.FitTolerance MsgBox "The current FitTolerance is " & currFitTolerance, vbInformation, "FitTolerance Example" ' Change the fit tolerance value splineObj.FitTolerance = 5 ZoomAll MsgBox "The FitTolerance is now " & splineObj.FitTolerance, vbInformation, "FitTolerance Example" End Sub Visual LISP: (vl-load-com) (defun c:Example_FitTolerance() ;; This example creates a spline object in model space. ;; It then changes the FitTolerance property of that spline. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Create the spline (setq startTan (vlax-3d-point 0.5 0.5 0) endTan (vlax-3d-point 0.5 0.5 0) fitPoints (vlax-make-safearray vlax-vbDouble '(0 . 8))) (vlax-safearray-fill fitPoints '(1 1 0 5 5 0 10 0 0 ) ) ;; Create new Spline object (setq modelSpace (vla-get-ModelSpace doc)) (setq splineObj (vla-AddSpline modelSpace fitPoints startTan endTan)) (vla-ZoomAll acadObj) ;; Find the current FitTolerance value (setq currFitTolerance (vla-get-FitTolerance splineObj)) (alert (strcat "The current FitTolerance is " (rtos currFitTolerance 2))) ;; Change the fit tolerance value (vla-put-FitTolerance splineObj 5) (vla-ZoomAll acadObj) (alert (strcat "The FitTolerance is now " (rtos (vla-get-FitTolerance splineObj) 2))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:15
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.